Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class CreateIfsCredentialManagerSchemaAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.JDBCAction
              oracle.ifs.admin.actions.CreateIfsCredentialManagerSchemaAction

All Implemented Interfaces:
  Action, IfsParameters

    public class CreateIfsCredentialManagerSchemaAction

extends JDBCAction

(Unpublished)
Modified:
  sgarg 03/20/2002 Created.

Field Summary
`static java.lang.String` | `CM_SCHEMA_NAME` Option key "cm.schema.name" points to the CM schema which needs to be created.
`static java.lang.String` | `CM_SCHEMA_PASSWORD` Option key "cm.schema.password" points to the CM schema password which will be used during user creation.
`static java.lang.String` | `MAIN_TABLESPACE_NAME` Option key "main.tablespace.name" points to the main tablespace to be used while creating schema.
`static java.lang.String` | `TEMP_TABLESPACE_NAME` Option key "temp.tablespace.name" points to the temp tablespace to be used while creating schema.

Fields inherited from class oracle.ifs.admin.actions.JDBCAction
`NOLOG`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`CreateIfsCredentialManagerSchemaAction()`

Method Summary
`void` | `execute(java.sql.Connection con)` Executes JDBC statements.
`void` | `failed(java.lang.Throwable error)` Does nothing.
`void` | `stop()` Does nothing.

Methods inherited from class oracle.ifs.admin.actions.JDBCAction
`perform, setDatabaseUrl, setPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_SCHEMA_NAME

    public static final java.lang.String CM_SCHEMA_NAME

  Description copied from class: `CreateIfsCredentialManagerSchemaAction`
  Option key "cm.schema.name" points to the CM schema which needs to be created. Defined as "schema.name".

  See Also:
    Constant Field Values

### CM_SCHEMA_PASSWORD

    public static final java.lang.String CM_SCHEMA_PASSWORD

  Description copied from class: `CreateIfsCredentialManagerSchemaAction`
  Option key "cm.schema.password" points to the CM schema password which will be used during user creation. Defined as "schema.password".

  See Also:
    Constant Field Values

### MAIN_TABLESPACE_NAME

    public static final java.lang.String MAIN_TABLESPACE_NAME

  Description copied from class: `CreateIfsCredentialManagerSchemaAction`
  Option key "main.tablespace.name" points to the main tablespace to be used while creating schema. Defined as "main.tablespace.name".

  See Also:
    Constant Field Values

### TEMP_TABLESPACE_NAME

    public static final java.lang.String TEMP_TABLESPACE_NAME

  Description copied from class: `CreateIfsCredentialManagerSchemaAction`
  Option key "temp.tablespace.name" points to the temp tablespace to be used while creating schema. Defined as "temp.tablespace.name".

  See Also:
    Constant Field Values

Constructor Detail

### CreateIfsCredentialManagerSchemaAction

    public CreateIfsCredentialManagerSchemaAction()

Method Detail

### execute

    public void execute(java.sql.Connection con)
                 throws ActionFailedException

  Description copied from class: `JDBCAction`
  Executes JDBC statements.
  Note: Subclasses should provide an implementation for this method.
  The Connection does not need to be closed by this method; the calling method will close it. However, any Statement or ResultSet objects that are opened should be closed explicitly.

  Specified by:
    `execute` in class `JDBCAction`
  Parameters:
    `con` - the Connection to the database.
  Throws:
    `ActionFailedException` - if any other error occurs.

### stop

    public void stop()

  Description copied from class: `CreateIfsCredentialManagerSchemaAction`
  Does nothing.

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `CreateIfsCredentialManagerSchemaAction`
  Does nothing.

  Parameters:
    `error` - the error that occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD